[run]
branch = true
parallel = true
omit =
     setup*
     systemimage/data/*
     systemimage/docs/*
     systemimage/testing/*
     systemimage/tests/*
     systemimage/ldm.py
     /usr/lib/*
     .tox/coverage-curl/lib/python*/distutils/*
     .tox/coverage-curl/lib/python*/site-packages/pkg_resources*
     .tox/coverage-ldm/lib/python*/distutils/*
     .tox/coverage-ldm/lib/python*/site-packages/pkg_resources*

[paths]
source =
    systemimage
    .tox/coverage-curl/lib/python*/site-packages/systemimage
    .tox/coverage-ldm/lib/python*/site-packages/systemimage

[report]
exclude_lines =
    pragma: no cover
    pragma: no curl
